/*
    Providers
*/

class Providers extends React.Component {
    
    render() {
        //console.log('AAA Providers = ', this.props.providers);
        
        if (this.props.providers) {
            return (
                <div className="form-group providers">
                    <div className="form-group-title">Массив заблокированных аблоком доменов:</div>
                    <Values data={this.props.providers} name={'providers'} onEditValues={(data) => this.props.editProviders(data)} />
                </div>
            ); 
        } else {
            return (
                <div className="form-group providers">
                    <div className="form-group-title">Массив заблокированных аблоком доменов:</div>
                </div>
            );  
        }
        
    }
}


function mapStateToProps(state) {
    return {
        providers: state.providers
    }
}

function matchDispatchToProps(dispatch) {
    return bindActionCreators({editProviders: editProviders}, dispatch);
}

const ConnectedProviders = connect(mapStateToProps, matchDispatchToProps)(Providers);
